import * as React from "react";
import { AnnotationHandling, AnnotationTypes, AnnotationType } from "./../types/annotationTypes";
import { LegendProps } from "./../types/legendTypes";
export interface AnnotationLayerProps {
    useSpans: boolean;
    legendSettings?: LegendProps;
    margin: {
        top?: number;
        left?: number;
        right?: number;
        bottom?: number;
    };
    size: number[];
    axes?: React.ReactNode[];
    annotationHandling?: AnnotationHandling | AnnotationTypes;
    annotations: AnnotationType[];
    pointSizeFunction?: Function;
    labelSizeFunction?: Function;
    svgAnnotationRule: Function;
    htmlAnnotationRule: Function;
    position?: number[];
}
export interface UpdatedAnnotationLayerProps extends AnnotationLayerProps {
    voronoiHover: Function;
}
export default function AnnotationLayer(props: AnnotationLayerProps): JSX.Element;
