/// <reference types="react" />
import { OrdinalFrameProps } from "./types/ordinalTypes";
import { XYFrameProps } from "./types/xyTypes";
import { NetworkFrameProps } from "./types/networkTypes";
export interface ResponsiveFrameProps {
    debounce?: number;
    responsiveWidth?: boolean;
    responsiveHeight?: boolean;
    gridDisplay?: boolean;
    elementResizeEvent?: Function;
}
export interface ResponsiveFrameState {
    containerHeight?: number;
    containerWidth?: number;
}
declare type ActualFrameProps = OrdinalFrameProps | XYFrameProps | NetworkFrameProps;
declare const createResponsiveFrame: (ParticularFrame: any) => {
    (props: ResponsiveFrameProps & ActualFrameProps): JSX.Element;
    isResizing: number;
    displayName: string;
};
export default createResponsiveFrame;
