import * as React from "react";
import { RefObject } from "react";
import { MarginType, RenderPipelineType, VizLayerTypes, RoughType } from "./types/generalTypes";
import { ContextType } from "./types/canvasTypes";
declare type Props = {
    axes?: Array<React.ReactNode>;
    frameKey?: string;
    xScale: Function;
    yScale: Function;
    dataVersion?: string;
    canvasContext?: RefObject<ContextType>;
    width: number;
    height: number;
    margin: MarginType;
    canvasPostProcess?: Function;
    title?: JSX.Element | string;
    ariaTitle?: string;
    matte?: React.ReactNode;
    matteClip?: boolean;
    renderPipeline: RenderPipelineType;
    baseMarkProps?: object;
    projectedCoordinateNames: object;
    position: Array<number>;
    disableContext?: boolean;
    renderOrder: ReadonlyArray<VizLayerTypes>;
    sketchyRenderingEngine?: RoughType;
    axesTickLines?: React.ReactNode;
    frameRenderOrder: Array<string>;
    additionalVizElements: object;
    disableProgressiveRendering?: boolean;
};
export default function VisualizationLayer(props: Props): JSX.Element;
export {};
